Bug 176787 - NM doesn't configure interface-mtu from DHCP response
NM doesn't configure interface-mtu from DHCP response
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-02 13:42 EST by Charles R. Anderson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-01 00:33:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 332953 None None None Never

  None (edit)
Description Charles R. Anderson 2006-01-02 13:42:05 EST
Description of problem:

My DHCP server sends option interface-mtu 1440 since it is an IPsec VPN gateway.
 With a custom /etc/dhclient-eth0.conf, dhclient-script handles this option
properly, configuring the ethernet interface with the interface-mtu value
returned from DHCP.  NetworkManager, however, ignores the option.

Version-Release number of selected component (if applicable):
0.5.1-1.FC4.4

How reproducible:
always

Steps to Reproduce:
1. edit ifcfg-eth0 to set ONBOOT=no
2. Reboot
3. Plug ethernet cable in
4. Note that NM did not configure the MTU, leaving it the default MTU:1500
5. service NetworkManager stop
6. ifdown eth0; ifup eth0
7. Note that dhclient did configure the MTU:1440
  
Actual results:

/etc/dhclient-eth0.conf:

      request
                subnet-mask,
                broadcast-address,
                time-offset,
                routers,
                domain-name,
                domain-name-servers,
                host-name,
                nis-domain,
                nis-servers,
                ntp-servers,
                interface-mtu;

After bootup with NetworkManger, ifconfig:

eth0      Link encap:Ethernet  HWaddr 00:0D:60:xx:xx:xx
          inet addr:a.b.c.d  Bcast:a.b.c.255  Mask:255.255.255.0
          inet6 addr: fe80::20d:60ff:fexx:xxxx/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:1 errors:0 dropped:0 overruns:0 frame:0
          TX packets:6 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:355 (355.0 b)  TX bytes:744 (744.0 b)
          Base address:0x8000 Memory:c0240000-c0260000

/var/lib/dhcp/dhclient-eth0.leases:

lease {
  interface "eth0";
  fixed-address a.b.c.d;
  option subnet-mask 255.255.255.0;
  option routers a.b.c.1;
  option dhcp-lease-time 3600;
  option dhcp-message-type 5;
  option domain-name-servers a.b.c.w,a.b.c.x,a.b.c.y,a.b.c.z;
  option dhcp-server-identifier a.b.c.1;
  option interface-mtu 1440;
  option broadcast-address a.b.c.255;
  option domain-name "domain";
  renew 1 2006/1/2 18:59:52;
  rebind 1 2006/1/2 19:24:20;
  expire 1 2006/1/2 19:31:50;
}

Expected results:
NM should configure the interface-mtu with the value returned from the DHCP server.

Additional info:

The DHCP server's dhcpd.conf has this configured:

option interface-mtu 1440;
Comment 1 Christopher Aillon 2006-03-01 00:33:20 EST
Filed upstream: http://bugzilla.gnome.org/show_bug.cgi?id=332953

Note You need to log in before you can comment on or make changes to this bug.